# geos::operation::IsSimpleOp Class Reference

Tests whether a Geometry is simple. More...

`#include <IsSimpleOp.h>`

List of all members.

## Public Member Functions

bool | isSimple (const geom::LineString *geom)
bool | isSimple (const geom::MultiLineString *geom)
bool | isSimple (const geom::MultiPoint *mp)
bool | isSimpleLinearGeometry (const geom::Geometry *geom)

## Detailed Description

Tests whether a Geometry is simple.

Only Geometry whose definition allows them to be simple or non-simple are tested. (E.g. Polygons must be simple by definition, so no test is provided. To test whether a given Polygon is valid, use `Geometry::isValid`)

The documentation for this class was generated from the following file:

- IsSimpleOp.h